com.google.gwt.i18n.client

## Annotation Type LocalizableResource.GenerateKeys

    @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public static @interface LocalizableResource.GenerateKeys

Requests that the keys for messages be generated automatically. If the annotation is supplied with no value, the default is to use an MD5 hash of the text and meaning. If this annotation is not supplied, the keys will be the unqualified method names.

The value is either the name of an inner class of `KeyGenerator` or the fully-qualified class name of some implementation of `KeyGenerator`.

### Optional Element Summary

Optional Elements
`java.lang.String` `value`

### Element Detail

#### value

    public abstract java.lang.String value

Default:
  "com.google.gwt.i18n.server.keygen.MD5KeyGenerator"